import { __decorate, __extends } from "tslib";
import { Component } from 'vue-property-decorator';
import { getStyles } from './MessageBarButton.styles';
import BaseComponent from '../../BaseComponent';
import { DefaultButton } from '../DefaultButton/DefaultButton';
import { BaseButton } from '../BaseButton';
var MessageBarButton = /** @class */ (function (_super) {
    __extends(MessageBarButton, _super);
    function MessageBarButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(MessageBarButton.prototype, "internalStyles", {
        get: function () {
            return getStyles(this.theme, this.styles);
        },
        enumerable: false,
        configurable: true
    });
    MessageBarButton.prototype.render = function (h) {
        var internalStyles = this.internalStyles;
        var props = {
            variantClassName: 'ms-Button--icon',
            styles: internalStyles,
        };
        return h(BaseButton, {
            props: props,
            attrs: this.$attrs,
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    };
    MessageBarButton = __decorate([
        Component({
            components: { DefaultButton: DefaultButton },
        })
    ], MessageBarButton);
    return MessageBarButton;
}(BaseComponent));
export { MessageBarButton };
//# sourceMappingURL=MessageBarButton.js.map