import { __extends } from "tslib";
import StatelessComponent from '../StatelessComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
var getClassNames = classNamesFunction();
var VerticalDividerBase = /** @class */ (function (_super) {
    __extends(VerticalDividerBase, _super);
    function VerticalDividerBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VerticalDividerBase.prototype.render = function (h, ctx) {
        var _a = ctx.props, styles = _a.styles, theme = _a.theme, className = _a.className;
        var classNames = getClassNames(styles, { theme: theme, className: className });
        return h('span', { class: classNames.wrapper }, [
            h('span', { class: classNames.divider }),
        ]);
    };
    return VerticalDividerBase;
}(StatelessComponent));
export { VerticalDividerBase };
//# sourceMappingURL=VerticalDivider.base.js.map