import { __assign, __decorate, __extends } from "tslib";
import { Component } from 'vue-property-decorator';
import { getStyles } from './FacepileButton.styles';
import BaseComponent from '../../BaseComponent';
import { BaseButton } from '../../Button';
var FacepileButton = /** @class */ (function (_super) {
    __extends(FacepileButton, _super);
    function FacepileButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(FacepileButton.prototype, "internalStyles", {
        get: function () {
            return getStyles(this.theme, this.className, this.styles);
        },
        enumerable: false,
        configurable: true
    });
    FacepileButton.prototype.render = function (h) {
        var props = __assign(__assign({}, this.$props), { variantClassName: 'ms-Button--facepile', styles: this.internalStyles });
        return h(BaseButton, {
            attrs: this.$attrs,
            props: props,
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        }, this.$slots.flex);
    };
    FacepileButton = __decorate([
        Component
    ], FacepileButton);
    return FacepileButton;
}(BaseComponent));
export { FacepileButton };
//# sourceMappingURL=FacepileButton.js.map