import { __assign } from "tslib";
import { memoizeFunction } from '@uifabric-vue/utilities';
import { concatStyleSets } from '@uifabric/merge-styles';
import { getStyles as getBaseButtonStyles } from '../../Button/BaseButton.styles';
export var getStyles = memoizeFunction(function (theme, className, customStyles) {
    var baseButtonStyles = getBaseButtonStyles(theme);
    var customButtonStyles = concatStyleSets(baseButtonStyles, customStyles);
    return __assign(__assign({}, customButtonStyles), { root: [baseButtonStyles.root, className, theme.fonts.medium, customStyles && customStyles.root] });
});
//# sourceMappingURL=FacepileButton.styles.js.map