import { __assign, __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent';
var getClassNames = classNamesFunction();
var LinkBase = /** @class */ (function (_super) {
    __extends(LinkBase, _super);
    function LinkBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LinkBase.prototype.render = function (h, context) {
        var _a = context.props, theme = _a.theme, className = _a.className, styles = _a.styles, href = _a.href, disabled = _a.disabled;
        var classNames = getClassNames(styles, {
            theme: theme,
            className: className,
            isButton: !href,
            isDisabled: disabled,
        });
        var component = href ? 'a' : 'button';
        return h(component, __assign(__assign({}, context.data), { class: classNames.root, attrs: __assign(__assign(__assign({}, context.data.attrs), href && { href: href }), !href && { type: 'button' }) }), context.children);
    };
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], LinkBase.prototype, "disabled", void 0);
    __decorate([
        Prop({ type: String, default: '' }),
        __metadata("design:type", String)
    ], LinkBase.prototype, "href", void 0);
    LinkBase = __decorate([
        Component
    ], LinkBase);
    return LinkBase;
}(StatelessComponent));
export { LinkBase };
//# sourceMappingURL=Link.base.js.map