import { __decorate, __extends, __metadata } from "tslib";
import StatelessComponent from '../../StatelessComponent';
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '../../../Utilities';
var getClassNames = classNamesFunction();
var ShimmerGapBase = /** @class */ (function (_super) {
    __extends(ShimmerGapBase, _super);
    function ShimmerGapBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ShimmerGapBase.prototype.render = function (h, ctx) {
        var _a = ctx.props, height = _a.height, styles = _a.styles, _b = _a.width, width = _b === void 0 ? '10px' : _b, borderStyle = _a.borderStyle, theme = _a.theme;
        var classNames = getClassNames(styles, {
            theme: theme,
            height: height,
            borderStyle: borderStyle,
        });
        return h('div', {
            class: classNames.root,
            style: { width: width, minWidth: typeof width === 'number' ? width + "px" : 'auto' },
        });
    };
    __decorate([
        Prop({ type: Number, default: 0 }),
        __metadata("design:type", Number)
    ], ShimmerGapBase.prototype, "height", void 0);
    __decorate([
        Prop({ type: String, default: 'auto' }),
        __metadata("design:type", String)
    ], ShimmerGapBase.prototype, "width", void 0);
    ShimmerGapBase = __decorate([
        Component
    ], ShimmerGapBase);
    return ShimmerGapBase;
}(StatelessComponent));
export { ShimmerGapBase };
//# sourceMappingURL=ShimmerGap.base.js.map