import { __assign, __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent';
var getClassNames = classNamesFunction();
var Text = /** @class */ (function (_super) {
    __extends(Text, _super);
    function Text() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Text.prototype.render = function (h, ctx) {
        var _a = ctx.props, theme = _a.theme, styles = _a.styles, block = _a.block, nowrap = _a.nowrap, variant = _a.variant;
        var classNames = getClassNames(styles, {
            theme: theme,
            block: block,
            nowrap: nowrap,
            variant: variant,
        });
        return h('span', __assign(__assign({}, ctx.data), { class: classNames.root }), ctx.children);
    };
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], Text.prototype, "nowrap", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], Text.prototype, "block", void 0);
    __decorate([
        Prop({ type: String, default: 'medium' }),
        __metadata("design:type", String)
    ], Text.prototype, "variant", void 0);
    Text = __decorate([
        Component
    ], Text);
    return Text;
}(StatelessComponent));
export default Text;
//# sourceMappingURL=Text.view.js.map