import { __decorate, __extends, __metadata } from "tslib";
import { getTheme } from '@uifabric/styling';
import { Vue, Prop, Component, ProvideReactive } from 'vue-property-decorator';
var ThemeProvider = /** @class */ (function (_super) {
    __extends(ThemeProvider, _super);
    function ThemeProvider() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ThemeProvider.prototype.render = function (h) {
        if (!this.$slots.default)
            return h('div');
        // @ts-ignore
        return this.$slots.default.length === 1
            ? this.$slots.default[0]
            : h('div', this.$slots.default);
    };
    __decorate([
        ProvideReactive(),
        Prop({ type: Object, default: function () { return getTheme(); } }),
        __metadata("design:type", Object)
    ], ThemeProvider.prototype, "theme", void 0);
    ThemeProvider = __decorate([
        Component({
            inject: [],
        })
    ], ThemeProvider);
    return ThemeProvider;
}(Vue));
export { ThemeProvider };
//# sourceMappingURL=ThemeProvider.js.map