import BaseComponent from '../../BaseComponent';
import { CreateElement } from 'vue';
export declare class DetailsRowBase extends BaseComponent {
    columns: any[];
    item: any;
    compact: boolean;
    showCheckbox: boolean;
    get classNames(): any;
    get rowClassNames(): {
        isMultiline: any;
        isRowHeader: any;
        cell: any;
        cellAnimation: any;
        cellPadded: any;
        cellUnpadded: any;
        fields: any;
    };
    /**
     * measure cell at index. and call the call back with the measured cell width when finish measure
     *
     * @param index - The cell index
     * @param onMeasureDone - The call back function when finish measure
     */
    measureCell(index: number, onMeasureDone: (width: number) => void): void;
    render(h: CreateElement): import("vue").VNode;
}
//# sourceMappingURL=DetailsRow.base.d.ts.map