import { __assign, __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { BaseButton } from '../BaseButton';
import BaseComponent from '../../BaseComponent';
import { getStyles } from './ActionButton.styles';
var ActionButton = /** @class */ (function (_super) {
    __extends(ActionButton, _super);
    function ActionButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(ActionButton.prototype, "internalStyles", {
        get: function () {
            var _a = this, theme = _a.theme, styles = _a.styles;
            return getStyles(theme, styles);
        },
        enumerable: false,
        configurable: true
    });
    ActionButton.prototype.render = function (h) {
        var props = __assign(__assign({}, this.$props), { variantClassName: 'ms-Button--action ms-Button--command', styles: this.internalStyles });
        return h(BaseButton, {
            props: props,
            attrs: this.$attrs,
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    };
    __decorate([
        Prop({ type: String, default: '' }),
        __metadata("design:type", String)
    ], ActionButton.prototype, "href", void 0);
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], ActionButton.prototype, "disabled", void 0);
    __decorate([
        Prop({ type: Object, default: null }),
        __metadata("design:type", Object)
    ], ActionButton.prototype, "iconProps", void 0);
    ActionButton = __decorate([
        Component
    ], ActionButton);
    return ActionButton;
}(BaseComponent));
export { ActionButton };
//# sourceMappingURL=ActionButton.js.map