import { __decorate, __extends } from "tslib";
import { Component } from 'vue-property-decorator';
import BaseComponent from '../../BaseComponent';
import { BaseButton } from '../BaseButton';
import { getStyles } from './CommandBarButton.styles';
var CommandBarButton = /** @class */ (function (_super) {
    __extends(CommandBarButton, _super);
    function CommandBarButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(CommandBarButton.prototype, "internalStyles", {
        get: function () {
            var _a = this, theme = _a.theme, styles = _a.styles;
            return getStyles(theme, styles);
        },
        enumerable: false,
        configurable: true
    });
    CommandBarButton.prototype.render = function (h) {
        var props = {
            variantClassName: 'ms-Button--commandBar',
            styles: this.internalStyles,
        };
        return h(BaseButton, {
            props: props,
            attrs: this.$attrs,
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    };
    CommandBarButton = __decorate([
        Component
    ], CommandBarButton);
    return CommandBarButton;
}(BaseComponent));
export { CommandBarButton };
//# sourceMappingURL=CommandBarButton.js.map