import { __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { notifyHostChanged } from './Layer.notification';
import BaseComponent from '../BaseComponent';
var LayerHost = /** @class */ (function (_super) {
    __extends(LayerHost, _super);
    function LayerHost() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LayerHost.prototype.render = function (h) {
        return h('div', {
            class: 'LayerHost',
            attrs: {
                id: this.hostId,
            },
        });
    };
    LayerHost.prototype.mounted = function () {
        notifyHostChanged(this.hostId);
    };
    LayerHost.prototype.beforeDestroy = function () {
        notifyHostChanged(this.hostId);
    };
    __decorate([
        Prop({ type: String, default: null }),
        __metadata("design:type", String)
    ], LayerHost.prototype, "hostId", void 0);
    LayerHost = __decorate([
        Component({
            components: {},
        })
    ], LayerHost);
    return LayerHost;
}(BaseComponent));
export { LayerHost };
//# sourceMappingURL=LayerHost.js.map