import { __decorate, __extends, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import BaseComponent from '../BaseComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
var getClassNames = classNamesFunction();
var OverlayBase = /** @class */ (function (_super) {
    __extends(OverlayBase, _super);
    function OverlayBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(OverlayBase.prototype, "classNames", {
        get: function () {
            var _a = this, theme = _a.theme, className = _a.className, isDark = _a.dark;
            return getClassNames(this.styles, {
                theme: theme,
                className: className,
                isDark: isDark,
            });
        },
        enumerable: false,
        configurable: true
    });
    OverlayBase.prototype.render = function (h) {
        var classNames = this.classNames;
        return h('div', { class: classNames.root }, this.$slots.default);
    };
    __decorate([
        Prop({ type: Boolean, default: false }),
        __metadata("design:type", Boolean)
    ], OverlayBase.prototype, "dark", void 0);
    OverlayBase = __decorate([
        Component
    ], OverlayBase);
    return OverlayBase;
}(BaseComponent));
export { OverlayBase };
//# sourceMappingURL=Overlay.base.js.map