import { __decorate, __extends, __metadata } from "tslib";
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../../StatelessComponent';
import { Component, Prop } from 'vue-property-decorator';
var getClassNames = classNamesFunction();
var ShimmerCircleBase = /** @class */ (function (_super) {
    __extends(ShimmerCircleBase, _super);
    function ShimmerCircleBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ShimmerCircleBase.prototype.render = function (h, ctx) {
        var _a = ctx.props, height = _a.height, styles = _a.styles, borderStyle = _a.borderStyle, theme = _a.theme;
        var classNames = getClassNames(styles, {
            theme: theme,
            height: height,
            borderStyle: borderStyle,
        });
        return h('div', {
            class: classNames.root,
        }, [
            h('svg', {
                attrs: {
                    viewBox: '0 0 10 10',
                    width: height,
                    height: height,
                    class: classNames.svg,
                },
            }, [
                h('path', {
                    attrs: {
                        d: 'M0,0 L10,0 L10,10 L0,10 L0,0 Z M0,5 C0,7.76142375 2.23857625,10 5,10 C7.76142375,10 10,7.76142375 10,5 C10,2.23857625 7.76142375,2.22044605e-16 5,0 C2.23857625,-2.22044605e-16 0,2.23857625 0,5 L0,5 Z',
                    },
                }),
            ]),
        ]);
    };
    __decorate([
        Prop({ type: Number, default: 0 }),
        __metadata("design:type", Number)
    ], ShimmerCircleBase.prototype, "height", void 0);
    __decorate([
        Prop({ type: String, default: 'auto' }),
        __metadata("design:type", String)
    ], ShimmerCircleBase.prototype, "width", void 0);
    ShimmerCircleBase = __decorate([
        Component
    ], ShimmerCircleBase);
    return ShimmerCircleBase;
}(StatelessComponent));
export { ShimmerCircleBase };
//# sourceMappingURL=ShimmerCircle.base.js.map