import * as Components from '../components';
import { toKebabCase } from '../utilities';
export default function install(Vue, theme, options) {
    if (theme === void 0) { theme = {}; }
    if (options === void 0) { options = {}; }
    for (var componentName in Components) {
        var Component = Components[componentName];
        if (Component && Component.prototype instanceof Vue) {
            var name_1 = (options.prefix || 'f') + "-" + toKebabCase(componentName);
            Vue.component(name_1, Component);
        }
    }
}
//# sourceMappingURL=office-fabric.js.map