import BaseComponent from '../BaseComponent';
import { CreateElement } from 'vue';
export declare class CalloutContentBase extends BaseComponent {
    $refs: {
        hostElement: HTMLDivElement;
        calloutElement: HTMLDivElement;
    };
    target: HTMLElement;
    calloutWidth: number;
    beakWidth: number;
    minPagePadding: number;
    isBeakVisible: boolean;
    coverTarget: boolean;
    gapSpace: number;
    finalHeight: number;
    calloutMaxWidth: number;
    backgroundColor: string;
    private internalKey;
    private positions;
    positionAttempts: number;
    created(): void;
    beforeDestroy(): void;
    updated(): void;
    mounted(): void;
    get classNames(): any;
    get actualBeakWidth(): number;
    private get positionCss();
    private updatePosition;
    private onGlobalClick;
    private onGlobalScroll;
    private get bounds();
    private _arePositionsEqual;
    private _comparePositions;
    render(h: CreateElement): import("vue").VNode;
}
//# sourceMappingURL=CalloutContent.base.d.ts.map