import { ICheckboxStyles } from './Checkbox.types';
import BaseComponent from '../BaseComponent';
import { CreateElement } from 'vue';
export declare class CheckboxBase extends BaseComponent {
    checked: boolean;
    defaultChecked: boolean;
    indeterminate: boolean;
    defaultIndeterminate: boolean;
    disabled: boolean;
    required: boolean;
    label: string;
    title: string;
    boxSide: 'start' | 'end';
    private internalValue;
    private isIndeterminate;
    onCheckedChanged(newVal: boolean): void;
    render(h: CreateElement): import("vue").VNode;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<ICheckboxStyles>;
    private onInput;
}
//# sourceMappingURL=Checkbox.base.d.ts.map