import BaseComponent from '../BaseComponent';
import { IDialogContentStyles, IDialogContentProps, DialogType } from './DialogContent.types';
import { CreateElement } from 'vue';
export declare class DialogContentBase extends BaseComponent<IDialogContentProps> {
    type: DialogType;
    draggableHeaderClassName: string;
    titleProps: any;
    title: string | any;
    showCloseButton: boolean;
    closeButtonAriaLabel: string;
    subText: string;
    subTextId: string;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IDialogContentStyles>;
    render(h: CreateElement): import("vue").VNode;
}
//# sourceMappingURL=DialogContent.base.d.ts.map