import BaseComponent from '../BaseComponent';
import { RectangleEdge } from '../../utilities/positioning';
import { CreateElement } from 'vue';
export declare class DropdownBase extends BaseComponent {
    $refs: {
        dropdown: HTMLDivElement;
    };
    options: any[];
    selectedOptions: any[];
    label: string;
    placeholder: string;
    errorMessage: string;
    required: boolean;
    disabled: boolean;
    multiSelect: boolean;
    multiSelectDelimiter: string;
    dropdownWidth: number;
    panelProps: any;
    calloutProps: any;
    isOpen: boolean;
    calloutRenderEdge: RectangleEdge | undefined;
    created(): void;
    get classNames(): any;
    get multiSelectItemStyles(): any;
    get hasErrorMessage(): boolean | "";
    private select;
    private onPositioned;
    private onDismiss;
    /**
     * Scroll handler for the callout to make sure the mouse events
     * for updating focus are not interacting during scroll
     */
    private onScroll;
    render(h: CreateElement): import("vue").VNode;
}
//# sourceMappingURL=Dropdown.base.d.ts.map