import BaseComponent from '../../BaseComponent';
import { PersonaPresence as PersonaPresenceEnum, IPersonaPresenceStyles, IPersonaPresenceProps } from '../Persona.types';
import { CreateElement } from 'vue';
export declare class PersonaPresenceBase extends BaseComponent<IPersonaPresenceProps> {
    presence: PersonaPresenceEnum;
    size: any;
    isOutOfOffice: any;
    coinSize: any;
    presenceTitle: any;
    PersonaPresenceEnum: typeof PersonaPresenceEnum;
    get renderIcon(): boolean;
    get presenceHeightWidth(): string;
    get coinSizeWithPresenceStyle(): {
        width: string;
        height: string;
    } | undefined;
    get coinSizeWithPresenceIconStyle(): {
        fontSize: string;
        lineHeight: string;
    } | undefined;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IPersonaPresenceStyles>;
    get icon(): "" | "SkypeCheck" | "SkypeArrow" | "SkypeClock" | "SkypeMinus" | undefined;
    render(h: CreateElement): import("vue").VNode | undefined;
}
//# sourceMappingURL=PersonaPresence.base.d.ts.map