import { IProgressIndicatorProps, IProgressIndicatorStyles } from './ProgressIndicator.types';
import BaseComponent from '../BaseComponent';
import { CreateElement } from 'vue';
export declare class ProgressIndicatorBase extends BaseComponent<IProgressIndicatorProps, IProgressIndicatorStyles> {
    progressHidden: boolean;
    percentComplete: number;
    label: string;
    description: string;
    barHeight: number;
    get internalPercentComplete(): number | undefined;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IProgressIndicatorStyles>;
    get progressBarStyles(): {
        width: string | undefined;
        transition: string | undefined;
    };
    render(h: CreateElement): import("vue").VNode;
}
//# sourceMappingURL=ProgressIndicator.base.d.ts.map