import BaseComponent from '../BaseComponent';
import { IToggleProps, IToggleStyles } from './Toggle.types';
import { CreateElement } from 'vue';
export declare class ToggleBase extends BaseComponent<IToggleProps, IToggleStyles> {
    $refs: {
        toggleButton: HTMLButtonElement;
    };
    checked: boolean;
    label: string;
    defaultChecked: boolean;
    disabled: boolean;
    inlineLabel: boolean;
    onText: string;
    offText: string;
    internalChecked: boolean;
    onCheckedChanged(checked: boolean): void;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IToggleStyles>;
    render(h: CreateElement): import("vue").VNode;
    focus(): void;
    private onClick;
}
//# sourceMappingURL=Toggle.base.d.ts.map